## ros-noetic-pr2-bringup-tests 1.0.15

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pr2_bringup_tests)
find_package(catkin REQUIRED COMPONENTS pr2_bringup pr2_controller_manager ethercat_trigger_controllers pr2_mannequin_mode image_view camera_calibration)

include_directories(${Boost_INCLUDE_DIRS})
catkin_package(
    DEPENDS pr2_bringup pr2_controller_manager ethercat_trigger_controllers pr2_mannequin_mode image_view camera_calibration
    CATKIN_DEPENDS # TODO
    INCLUDE_DIRS # TODO include
    LIBRARIES # TODO
)

install(DIRECTORY launch/ calibration_bringup/ DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(FILES life_test.rosinstall DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(PROGRAMS scripts/gripper_accel.sh scripts/imu_data_plot.sh DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-noetic-pr2-bringup-tests (1.0.15-1focal) focal; urgency=high



 -- David Feil-Seifer <dave@cse.unr.edu>  Wed, 24 Apr 2019 07:00:00 -0000

ros-noetic-pr2-bringup-tests (1.0.14-1focal) focal; urgency=high



 -- David Feil-Seifer <dave@cse.unr.edu>  Wed, 27 Mar 2019 07:00:00 -0000

ros-noetic-pr2-bringup-tests (1.0.13-1focal) focal; urgency=high

  * updated maintainer status
  * Contributors: David Feil-Seifer

 -- David Feil-Seifer <dave@cse.unr.edu>  Tue, 26 Mar 2019 07:00:00 -0000

ros-noetic-pr2-bringup-tests (1.0.12-1focal) focal; urgency=high

  * Merge branch 'hydro-devel' of https://github.com/pr2/pr2_self_test into hydro-devel
  * Contributors: TheDash

 -- David Feil-Seifer <dave@cse.unr.edu>  Wed, 23 Sep 2015 06:58:00 -0000

ros-noetic-pr2-bringup-tests (1.0.11-1focal) focal; urgency=high



 -- David Feil-Seifer <dave@cse.unr.edu>  Tue, 22 Sep 2015 19:23:00 -0000

ros-noetic-pr2-bringup-tests (1.0.10-1focal) focal; urgency=high



 -- David Feil-Seifer <dave@cse.unr.edu>  Fri, 18 Sep 2015 07:00:00 -0000

ros-noetic-pr2-bringup-tests (1.0.9-1focal) focal; urgency=high



 -- David Feil-Seifer <dave@cse.unr.edu>  Wed, 11 Feb 2015 08:00:00 -0000

ros-noetic-pr2-bringup-tests (1.0.8-1focal) focal; urgency=high



 -- David Feil-Seifer <dave@cse.unr.edu>  Tue, 10 Feb 2015 08:00:00 -0000

ros-noetic-pr2-bringup-tests (1.0.7-1focal) focal; urgency=high



 -- David Feil-Seifer <dave@cse.unr.edu>  Tue, 02 Dec 2014 08:00:00 -0000

ros-noetic-pr2-bringup-tests (1.0.6-1focal) focal; urgency=high



 -- David Feil-Seifer <dave@cse.unr.edu>  Sat, 29 Nov 2014 03:38:00 -0000

ros-noetic-pr2-bringup-tests (1.0.5-1focal) focal; urgency=high



 -- David Feil-Seifer <dave@cse.unr.edu>  Fri, 28 Nov 2014 10:19:40 -0000

ros-noetic-pr2-bringup-tests (1.0.4-1focal) focal; urgency=high



 -- David Feil-Seifer <dave@cse.unr.edu>  Fri, 28 Nov 2014 10:19:12 -0000

ros-noetic-pr2-bringup-tests (1.0.3-1focal) focal; urgency=high

  * Removed mainpage.dox;updated maintainership
  * Contributors: TheDash

 -- David Feil-Seifer <dave@cse.unr.edu>  Wed, 15 Oct 2014 07:00:00 -0000

ros-noetic-pr2-bringup-tests (1.0.2-1focal) focal; urgency=high

  * Versions updated
  * Changelogs
  * Added install targets to pr2_bringup_tests
  * Removed unneceesary packagexml and cmake
  * Catkinizes and compiles in hydro if you have the hydro-devel of pr2_apps/pr2_mannequin_mode
  * Removed manifest.xml
  * Update calibration verify to Groovy.
  * Move wg_hardware_test to github.
  * Update version of wg_hardware_test to use.
  * Update life_test rosinstall for electric install.
  * Lock wg_hardware_test to current version before changing dependencies.
  * PR2 life test rosinstall file uses special version of camera_calibration
  * Calibration check for PR2 production calibration, #4956 <https://github.com/PR2/pr2_self_test/issues/4956>
  * Removing stale calibration items from pr2_bringup_tests. OK by Vijay
  * Only using the wge100 camera package for camera FW installation
  * Camera drivers trunk to pr2_bringup_tests rosinstall file
  * Removing vestigial dependency on compressed_image_transport
  * Correcting size of checkerboard used for prosilica calibration
  * Adding camera_calibration package to pr2_bringup_tests
  * Removing user paths from rosinstall file
  * Controllers in pr2_bringup_tests load using pkg/Name syntax. #4534 <https://github.com/PR2/pr2_self_test/issues/4534>
  * Bumping qual pr2_calibration stack to cturtle. Fixing url for relased stacks too
  * Life test rosinstall file now works as cturtle overlay
  * rosinstall file for pr2_bringup_tests
  * Cleanup of pr2_self_test stack before 0.1 release
  * Added platform tags for Ubuntu 9.04, 9.10, and 10.04.
  * New life_test.rosinstall file with proper locking
  * Fixing typos.  Adding scatterplots for preburn
  * Putting together calibration scripts for pre/post burn-in checks
  * No only grabbing pr2_bringup_tests from pr2_self_test for calibration bringup
  * Renaming calibration stack local name
  * Adding stub for calibration bringup
  * Prosilica settings launch files
  * Added dash to version tag for pr2_arm_navigation revision
  * Adding calibrate_prosilica launch file to pr2_bringup_tests. #4249 <https://github.com/PR2/pr2_self_test/issues/4249>
  * Removing prosilica from pr2_bringup_tests
  * Added launch file to calibrate prosilica camera
  * Adding rev number for pr2_arm_navigation_tests in life_test rosinstall file. Blocked by release of #4028 <https://github.com/PR2/pr2_self_test/issues/4028>
  * Changing topic of IMU chart
  * Forearm cameras will trigger off etherCAT chain
  * pr2_bringup_tests depends on image view
  * Adding script to check IMU data
  * Script to check gripper accelerometers with rxplot
  * Using mannequin mode for pr2_bringup_tests
  * Gripper LED launch file name change
  * ROS install for PR2 during burn in tests
  * Moving pr2_bringup_tests package to pr2_self_test
  * Contributors: TheDash, ahendrix, gerkey, vpradeep, watts

 -- David Feil-Seifer <dave@cse.unr.edu>  Tue, 16 Sep 2014 07:00:00 -0000

=== debian/control ===
Source: ros-noetic-pr2-bringup-tests
Section: misc
Priority: optional
Maintainer: David Feil-Seifer <dave@cse.unr.edu>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-camera-calibration, ros-noetic-catkin, ros-noetic-ethercat-trigger-controllers, ros-noetic-image-view, ros-noetic-pr2-bringup, ros-noetic-pr2-controller-manager, ros-noetic-pr2-mannequin-mode
Homepage: http://ros.org/wiki/pr2_bringup_tests
Standards-Version: 3.9.2

Package: ros-noetic-pr2-bringup-tests
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-camera-calibration, ros-noetic-ethercat-trigger-controllers, ros-noetic-image-view, ros-noetic-pr2-bringup, ros-noetic-pr2-controller-manager, ros-noetic-pr2-mannequin-mode
Description: Complete functionality tests for PR2.
 Contains utilities designed to test and verify devices, mechanicals and sensors.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-pr2-bringup-tests//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
